Index: frontend/src/Pages/TransportEditPage.js
===================================================================
--- frontend/src/Pages/TransportEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/TransportEditPage.js	(revision 0f5aa2759dde06c45eeb640feeb15cb583c6af32)
@@ -1,4 +1,4 @@
-import React, { useState } from "react";
-import { Container, Col, Row, Image } from "react-bootstrap";
+import React, {useState} from "react";
+import {Container, Col, Row, Image} from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
@@ -7,56 +7,58 @@
 import TransportEditTab from "../Components/TransportEdit/TransportEditTab";
 import useGet from "../Components/Hooks/useGet";
-import { useParams } from "react-router-dom";
+import {Navigate, useParams} from "react-router-dom";
+import {useAuth} from "../Components/Context/AuthContext";
 
 const TransportEditPage = () => {
-  const params = useParams();
-  console.log("transportot ima id " + params.transportId);
-  const link = "/transport/" + params.transportId;
-  const [changed, setChanged] = useState(0);
-  const { data, setData, isLoading, getData } = useGet(link, changed);
 
-  !isLoading && console.log(data)
+    const params = useParams();
 
-  return (
-    <>
-      <Navigation />
-      {!isLoading && (
-        <Container>
-          <Row className="mb-5">
-            <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
-          </Row>
-          <Row className="mb-5">
-            <Col>
-              <Row className="d-flex mb-3">
-                <Col
-                  className="d-flex justify-content-center"
-                  style={{ maxWidth: "30%" }}
-                >
-                  <Image
-                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                    style={{
-                      height: "5em",
-                      borderRadius: "50%",
-                      maxWidth: "100%",
-                    }}
-                    className="m-auto"
-                  ></Image>
-                </Col>
-                <Col className="d-flex justify-content-center">
-                  <Container className="pt-2" style={{ textAlign: "left" }}>
-                    <h4>{data.transportName}</h4>
-                    <h5>{data.carBrand + " " + data.carType}</h5>
-                  </Container>
-                </Col>
-              </Row>
-            </Col>
-          </Row>
-          <Row>
-            {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
-          </Row>
-        </Container>
-      )}
-    </>
-  );
+    const link = "/transport/" + params.transportId;
+
+    const {data, setData, isLoading, getData, setChanged} = useGet(link);
+
+    !isLoading && console.log(data)
+
+    return (
+        <>
+            <Navigation/>
+            {!isLoading && (
+                <Container>
+                    <Row className="mb-5">
+                        <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
+                    </Row>
+                    <Row className="mb-5">
+                        <Col>
+                            <Row className="d-flex mb-3">
+                                <Col
+                                    className="d-flex justify-content-center"
+                                    style={{maxWidth: "30%"}}
+                                >
+                                    <Image
+                                        src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                                        style={{
+                                            height: "5em",
+                                            borderRadius: "50%",
+                                            maxWidth: "100%",
+                                        }}
+                                        className="m-auto"
+                                    ></Image>
+                                </Col>
+                                <Col className="d-flex justify-content-center">
+                                    <Container className="pt-2" style={{textAlign: "left"}}>
+                                        <h4>{data.transportName}</h4>
+                                        <h5>{data.carBrand + " " + data.carType}</h5>
+                                    </Container>
+                                </Col>
+                            </Row>
+                        </Col>
+                    </Row>
+                    <Row>
+                        {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
+                    </Row>
+                </Container>
+            )}
+        </>
+    );
 };
 
